nlohmann::detail::from_json_fn Struct Reference

`#include <json.hpp>`

## Public Member Functions

template<typename BasicJsonType , typename T >
auto | operator() (const BasicJsonType &j, T &val) const noexcept(noexcept(from_json(j, val))) -> decltype(from_json(j, val), void())
template<typename BasicJsonType , typename T >
auto | operator() (const BasicJsonType &j, T &val) const noexcept(noexcept(from_json(j, val))) -> decltype(from_json(j, val), void())

## Member Function Documentation

## operator()() [1/2]

template<typename BasicJsonType , typename T >

auto nlohmann::detail::from_json_fn::operator() | ( | const BasicJsonType & | j,
|  | T & | val
| ) |  | const -> decltype(from_json(j, val), void())

inlinenoexcept

## operator()() [2/2]

template<typename BasicJsonType , typename T >

auto nlohmann::detail::from_json_fn::operator() | ( | const BasicJsonType & | j,
|  | T & | val
| ) |  | const -> decltype(from_json(j, val), void())

inlinenoexcept

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp